[sword-devel] FFe application for sword being considered, and patches split out

Jonathan Marsden jmarsden at fastmail.fm
Mon Aug 31 14:21:50 MST 2009

Matthew Talbert wrote:

> I may package 0.9.23 for Windows, but the linux
> distros aren't going to move to 0.9.23 until it's regarded as stable.

Indeed.  As confirmation:  rmadison -s karmic libclucene-dev  outputs

   libclucene-dev |   0.9.20-3 |        karmic | amd64, i386

So that is what will be going into Ubuntu Karmic, as well as what is 
already in Debian Lenny.  Relying on anything later does not do any good 
at all for the Debian or Ubuntu packages at this point.  Debian testing 
(squeeze) has 0.9.21b-2+b1, as does Debian unstable (sid).  That package 
went into Debian testing just yesterday (!), so expecting anything 
significantly newer than that in the Debian/Ubuntu world for quite a 
while is probably unrealistic.  The RPM world is in roughly the same 
state, with Fedora 11 having 0.9.21-3.

So, IMO, we do need a fix in SWORD itself to avoid this issue. 
Especially since the same fix also means that searches such as "God is" 
will work a lot more the way users would expect than they do now.

If all this takes is a two line change, it is probably worth the effort.


-------------- next part --------------
An embedded and charset-unspecified text was scrubbed...
Name: swmodule-simpleanalyzer.patch
URL: <http://www.crosswire.org/pipermail/sword-devel/attachments/20090831/08f92cf0/attachment.cc>

More information about the sword-devel mailing list